algebra-3.1: Constructive abstract algebra

Safe Haskell | None

Numeric.Decidable.Zero

# Documentation

class Monoidal r => DecidableZero r where Source

Methods

isZero :: r -> Bool Source

Instances

DecidableZero Bool |
DecidableZero Int |
DecidableZero Int8 |
DecidableZero Int16 |
DecidableZero Int32 |
DecidableZero Int64 |
DecidableZero Integer |
DecidableZero Word |
DecidableZero Word8 |
DecidableZero Word16 |
DecidableZero Word32 |
DecidableZero Word64 |
DecidableZero () |
DecidableZero Natural |
DecidableZero (BasisCoblade m) |
DecidableZero r => DecidableZero (Opposite r) |
(DecidableZero a, DecidableZero b) => DecidableZero (a, b) |
(DecidableZero a, DecidableZero b, DecidableZero c) => DecidableZero (a, b, c) |
(DecidableZero a, DecidableZero b, DecidableZero c, DecidableZero d) => DecidableZero (a, b, c, d) |
(DecidableZero a, DecidableZero b, DecidableZero c, DecidableZero d, DecidableZero e) => DecidableZero (a, b, c, d, e) |